/* Four Star stylesheet */

.icon-input .icon:has(+ .slim) {
  left: -0.1rem;
}

body#page-Welcome {
  background-color: black !important;
}

#payWithPointsDrawer .icon-input input {
  margin-left: 1rem;
  font-size: 1rem;
}
/* hide quick add on products */


.summary__row:has(> .footer__tip) {
    display: none;
}


.page-login .preText,
.page-outlets .preText,
.page-outlet .preText {
    background-color: white;
    margin: 1em 0 1em 0;
    border: 2px solid red;
    padding: 10px;
    border-radius: 5px;
    z-index: 9;
    font-size: 14px;
}
.page-login .preText h2,
.page-outlets .preText h2,
.page-outlet .preText h2{
    font-size: 2rem;
    margin-bottom: 0.5em;
}

body.page-login form::before {
  content: "Your are using our new ordering platform. To ensure your existing loyalty points are synced, we need you to register a new account, please use the same email address.";
  display: block;
  /* max-width: 100%; */
  margin-top: 2rem;
  padding: 1rem;
  text-align: center;
  margin-left: 1.25rem;
  margin-right: 1.25rem;
  font-size: 1rem;
  line-height: 1.5rem;
  background: white;
  border-radius: 1rem;
  font-weight:bold;
  border: solid 2px #df053c;
}

@media only screen and (min-width: 1080px) { 
  body.page-login form::before{  max-width: 800px !important;
  margin-left: auto;
  margin-right: auto;
}}

body#page-ResetPassword div#header {
  display: none;
}

form[action="/Account/ResetPassword?returnUrl=%2FAccount"]::before {content: "You are using our new ordering platform. To ensure your existing loyalty points are synced, we need you to register a new account, please use the same email address.";
  display: block;
  margin-top: 2rem;
  margin-bottom:20px;
  padding: 1rem;
  text-align: center;
  margin-left: 1.25rem;
  margin-right: 1.25rem;
  font-size: 20px;
  line-height: 30px;
  font-weight:bold;
  background: white;
  border-radius: 1rem;
  border: solid 2px #df053c;
}
  
/*  .product__buttons button.button.button--tight.button--between::before {
  content: "Quick";
}*/

div#orderTimesDrawerCol .field-group.drawer__select label.label:first-child {display:none;}


body.page-basket button.label__button.light {
  color: var(--clr-primary);
  font-weight: 400;
}

input#txtPlaces-desktop {
  font-size: 1.1rem;
}


textarea[name="Questions[4].FreeTextResponse"] {
  height: 3rem;
}

.page-rewards .points-widget__content .strong {
    font-weight: bold;
}

.page-basket.outlet_2360 #deliveryDetailsDrawer .timeChoices .pickATimeChoice, 
.page-basket.outlet_2487 #deliveryDetailsDrawer .timeChoices .pickATimeChoice {
   /*display: none;*/
}

body.page-outlet .desktop-banner img {
  width: 100%;
  height: 22rem;
  -o-object-fit: cover;
  object-fit: cover;
  display: block;
  opacity: 0;
}

@media only screen and (min-width: 1080px) {
  body.page-outlet .desktop-banner {
    display: block;
    width: 100%;
    height: 22rem;
    -o-object-fit: cover;
    object-fit: cover;
    display: block;
    background-image: url(https://digimarkcdn.blob.core.windows.net/frontend3-images/img/desktop-banner-large.jpeg);
    background-repeat: no-repeat;
    background-size: cover;
  }
}

.product__unavailable {
  text-align: center;
  color: var(--clr-primary);
  font-weight: 900;
}


/*
@media only screen and (max-width: 1079px) { .page-outlets .container::before {
  content: "Some of our stores may be affected by Storm Ã‰owyn, please call your local store for details. Thank You and Stay Safe.";
  padding: 1rem;
  text-align: center;
  display: block;
  background-color: orange;
  border: solid 2px red;
  border-radius: 5px;
  font-weight: bold;
  color: white;
}}


@media only screen and (min-width: 1080px) { .preText.desktop-search::after {
  content: "Some of our stores may be affected by Storm Ã‰owyn, please call your local store for details. Thank You and Stay Safe.";
  padding: 1rem;
  text-align: center;
  display: block;
  background-color: orange;
  border: solid 2px red;
  border-radius: 5px;
  font-weight: bold;
  color: white;
  margin-top:1rem;
}}*/


body.page-payment .payment_cancel {
  margin-top: 3rem;
  font-weight: 300 !important;!i;!;
  font-size: 1rem !important;!i;!;
}

body.page-payment input#cancelBtn {
  font-weight: 300;
  background-color: var(--clr-secondary);
  border-color: var(--clr-secondary);
}

/* Punch cards as shown on the Rewards page & on the loyalty page prior to checkout */
.page-rewards .punchCardsSection .punch-widget .card-content {
    width: 100%;
}
.page-rewards .punchCardsSection .punch-widget .card {
    background-color: #d2eaf7;
    border: solid 2px #7bc2e8;
    border-radius: 10px;
    padding: 1em;
    box-shadow: 7px 7px 5px #ccc;
    margin: 0 0 1em 0;
}
.page-rewards .punchCardsSection .punch-widget .card .card-columns {
    display: flex;
}
    .page-rewards .punchCardsSection .punch-widget .card img {
        display: none;
    }
    .page-rewards .punchCardsSection .punch-widget .card .title {
        font-size: var(--fs-body-reg);
        font-weight: bold;
        text-align: center;
        margin-bottom: 1em;
    }
    .page-rewards .punchCardsSection .punch-widget .card .description {
        font-size: var(--fs-body-sm);
        margin-top: 2em;
        border-top: 2px solid #7bc2e8;
        padding-top: 1em;
    }
    .page-rewards .punchCardsSection .punch-widget .card p.claim {
        font-size: smaller;
    }
    .page-rewards .punchCardsSection .punch-widget .card .redeemPunch {
        margin-top: 1em;
        border-top: 2px solid #7bc2e8;
        padding-top: 1em;
    }
    .page-rewards .punchCardsSection .punch-widget .card .punches {
        display: grid;
        font-size: var(--fs-body-sm);
        width: 90%;
        margin: 0 auto; /* Centers the container within its parent */
        grid-template-columns: repeat(5, 1fr);
        grid-gap: 0.75em 0.75em; /* Adjust the gap between grid items (row gap, column gap) */
        justify-content: center; /* Centers the grid horizontally */
    }
        .page-rewards .punchCardsSection .punch-widget .card .punches .punch-hole {
            display: inline-block;
            text-align: center;
            font-size: larger;
            height: 3em;
            width: 3em;
            line-height: 3.2rem;
            /* border-radius: 50%; */
        }
            .page-rewards .punchCardsSection .punch-widget .card .punches .punch-hole.not-punched {
                /* background-color: #eeeeee; */
                color: #ffffff;
                background-image: url(https://digimarkcdn.blob.core.windows.net/frontend3-images/fsp-star-unstamp.png);
                background-size: cover;
                background-repeat: no-repeat;
            }
            .page-rewards .punchCardsSection .punch-widget .card .punches .punch-hole.punched {
                /* background-color: #ddd; */
                /* border: 2px solid black; */
                color: #ffffff;
                font-weight: bold;
                position: relative;
                background-image: url(https://digimarkcdn.blob.core.windows.net/frontend3-images/fsp-star-stamp.png);
                background-size: cover;
                background-repeat: no-repeat;
            }
                .page-rewards .punchCardsSection .punch-widget .card .punches .punch-hole.punched::before {
                    /* content: ''; */
                    position: absolute;
                    top: 0;
                    left: 5px;
                    width: 130%;
                    border-top: 6px solid #ff000077;
                }
                .page-rewards .punchCardsSection .punch-widget .card .punches .punch-hole.punched::after {
                    /* content: ''; */
                    position: absolute;
                    top: 0;
                    left: -15px;
                    width: 130%;
                    border-top: 6px solid #ff000077;
                }
                .page-rewards .punchCardsSection .punch-widget .card .punches .punch-hole.punched::before {
                    transform: rotate(45deg);
                    transform-origin: top left;
                }
                .page-rewards .punchCardsSection .punch-widget .card .punches .punch-hole.punched::after {
                    transform: rotate(-45deg);
                    transform-origin: top right;
                }
@media only screen and (min-width: 1080px) {
    .page-rewards .punchCardsSection .punch-widget .card {
        margin: 0 6em 1em 6em;
    }
        .page-rewards .punchCardsSection .punch-widget .card img {
            display: block;
            height: auto;
            width: auto;
            max-height: 150px;
            /*max-width: 72px;*/
            margin: 4em 0 0 1em;
        }
        .page-rewards .punchCardsSection .punch-widget .card .title {
            margin-bottom: 2em;
        }
        
        span.punch-hole.punched {
  line-height: 4rem !important;
}
        .page-rewards .punchCardsSection .punch-widget .card .punches {
            width: 50%;
        }
            .page-rewards .punchCardsSection .punch-widget .card .punches .punch-hole.punched::before {
                left: 0px;
            }

            .page-rewards .punchCardsSection .punch-widget .card .punches .punch-hole.punched::after {
                left: -20px;
            }
}
.page-rewards .punchCardsSection .punch-widget .card.fullyPunched {
    border: 4px solid black;
    background-color: var(--clr-secondary);
    color: white;
}

.grid__item-image:not(.grid__item.span-2 .grid__item-image) {
  max-height:10rem;
}


h3.delivery-heading {
  margin-bottom: 1rem;
}


/*hide qr code scanner for loyalty*/

body.page-rewards .qrcode-widget.available {
  display: none;
}

a.list__item.desktop-hide[href="/Account/LoyaltyIdentity"] {
  display: none !important;
}

@media only screen and (max-width: 1080px) {
  body.page-rewards h3.heading {
  display: none;
}}


main#app {
  background-color: #2699d6;
}

main#app nav.link-grid {
  background-color: white;
}



/* hide time selector for toy parade 

body.page-basket.outlet_2643 label.label.pickATimeChoice,
body.page-basket.outlet_2640 label.label.pickATimeChoice,
body.page-basket.outlet_2638 label.label.pickATimeChoice,
body.page-basket.outlet_2644 label.label.pickATimeChoice,
body.page-basket.outlet_2360 label.label.pickATimeChoice,
body.page-basket.outlet_2632 label.label.pickATimeChoice,
body.page-basket.outlet_2362 label.label.pickATimeChoice,
body.page-basket.outlet_2853 label.label.pickATimeChoice
{
  display: none;
}
*/



@supports (-webkit-touch-callout: none) {
  .tabbar {
	  padding-bottom: 1rem;
}

.banner {
  bottom: 5.5rem;

}

.drawer {

  padding-bottom: 2.5rem;

}

.popup__footer {
  padding-bottom: 4.5rem;
  padding-top: 2.5rem;
}

}

/*#page-Welcome #slide video {
  object-fit: contain;
  width: 100vw;
  height: 100vh;
}*/


